package cn.com.countrygarden.bi.main.service.writtenExamination;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.sys.Function;
import cn.com.countrygarden.bi.main.model.writtenExamination.PersonnelSelectionType;
import tk.mybatis.mapper.entity.Condition;
import tk.mybatis.mapper.entity.Example;
/**
 * 选拔类型-业务逻辑层
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-10-17
 */
public interface PersonnelSelectionTypeService {

    Result queryPageList(PersonnelSelectionType personnelSelectionType, int page, int size);

    Result queryById(Integer id);

    Result add(PersonnelSelectionType personnelSelectionType, AccessToken accessToken);

    Result edit(PersonnelSelectionType personnelSelectionType, AccessToken accessToken);

    Result del(Integer id);
}